Bug 756231 - [abrt] evolution-data-server-3.2.1-1.fc16: __strcmp_sse4_2: Process /usr/libexec/e-calendar-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-3.2.1-1.fc16: __strcmp_sse4_2: Process /usr/libe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:c884df9c4cfbab03de30eee1d01...
: Reopened
: 756823 758455 768887 769063 770817 770840 772494 772754 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-22 19:53 EST by Don Fore
Modified: 2014-02-05 17:43 EST (History)
19 users (show)

See Also:
Fixed In Version: evolution-data-server-3.2.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:43:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: build_ids (3.56 KB, text/plain)
2011-11-22 19:53 EST, Don Fore
no flags Details
File: dso_list (7.52 KB, text/plain)
2011-11-22 19:53 EST, Don Fore
no flags Details
File: maps (20.75 KB, text/plain)
2011-11-22 19:53 EST, Don Fore
no flags Details
File: smolt_data (4.04 KB, text/plain)
2011-11-22 19:53 EST, Don Fore
no flags Details
File: backtrace (44.67 KB, text/plain)
2011-11-22 19:53 EST, Don Fore
no flags Details
File: backtrace (38.32 KB, text/plain)
2012-02-13 22:59 EST, Ted Henscheid
no flags Details
RH bugzilla 756231 - Backtrace for Fedora 18 (56.22 KB, text/plain)
2013-02-13 00:47 EST, Egon Kastelijn
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 662193 None None None Never

  None (edit)
Description Don Fore 2011-11-22 19:53:19 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        /usr/libexec/e-calendar-factory
comment:        Booted the laptop
crash_function: __strcmp_sse4_2
executable:     /usr/libexec/e-calendar-factory
kernel:         3.1.1-2.fc16.i686.PAE
pid:            2014
pwd:            /
reason:         Process /usr/libexec/e-calendar-factory was killed by signal 11 (SIGSEGV)
time:           Wed 23 Nov 2011 02:49:29 PM EST
uid:            1000
username:       don

backtrace:      Text file, 45738 bytes
build_ids:      Text file, 3649 bytes
dso_list:       Text file, 7698 bytes
maps:           Text file, 21244 bytes
smolt_data:     Text file, 4132 bytes

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-UTzWpaCff7,guid=3764d990982122a60e3ae90b0000003f
:XDG_SESSION_COOKIE=ba08dcd6b0a3d2816c904bd700000010-1322077754.519539-2101395468
:XDG_RUNTIME_DIR=/run/user/don
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/tmp/keyring-TWOhTE/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1671,unix/unix:/tmp/.ICE-unix/1671
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=don
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/tmp/keyring-TWOhTE/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-UTzWpaCff7,guid=3764d990982122a60e3ae90b0000003f
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-don-gy5Z8E/database
:USER=don
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1665
:SHLVL=1
:GDM_LANG=en_US.utf8
:PWD=/home/don
:GNOME_KEYRING_CONTROL=/tmp/keyring-TWOhTE
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=don
:HOME=/home/don

var_log_messages:
:Nov 21 13:27:21 localhost abrt[3685]: saved core dump of pid 3668 (/usr/libexec/e-calendar-factory) to /var/spool/abrt/ccpp-2011-11-21-13:27:20-3668 (52924416 bytes)
:Nov 23 14:49:30 scorpion abrt[2024]: Saved core dump of pid 2014 (/usr/libexec/e-calendar-factory) to /var/spool/abrt/ccpp-2011-11-23-14:49:29-2014 (61440000 bytes)
Comment 1 Don Fore 2011-11-22 19:53:21 EST
Created attachment 535268 [details]
File: build_ids
Comment 2 Don Fore 2011-11-22 19:53:23 EST
Created attachment 535269 [details]
File: dso_list
Comment 3 Don Fore 2011-11-22 19:53:24 EST
Created attachment 535270 [details]
File: maps
Comment 4 Don Fore 2011-11-22 19:53:26 EST
Created attachment 535271 [details]
File: smolt_data
Comment 5 Don Fore 2011-11-22 19:53:28 EST
Created attachment 535272 [details]
File: backtrace
Comment 6 Milan Crha 2011-11-23 03:32:33 EST
Thanks for a bug report. Seeing the backtrace I believe this is related to an upstream bug [1]. The bug is for evolution, and I'm going to mimic the change in the e-calendar-factory as well. I fixed this for 3.3.3 (commit f3a1b06) and 3.2.3 (commit af5d404).

[1] https://bugzilla.gnome.org/show_bug.cgi?id=628139
Comment 7 Milan Crha 2011-11-25 01:43:07 EST
*** Bug 756823 has been marked as a duplicate of this bug. ***
Comment 8 Milan Crha 2011-11-30 03:26:48 EST
*** Bug 758455 has been marked as a duplicate of this bug. ***
Comment 9 Milan Crha 2011-11-30 03:27:22 EST
Corresponding upstream bug:
https://bugzilla.gnome.org/show_bug.cgi?id=662193
Comment 10 Milan Crha 2011-12-20 05:27:06 EST
*** Bug 768887 has been marked as a duplicate of this bug. ***
Comment 11 Milan Crha 2011-12-20 05:53:02 EST
*** Bug 769063 has been marked as a duplicate of this bug. ***
Comment 12 Milan Crha 2012-01-02 05:49:26 EST
*** Bug 770817 has been marked as a duplicate of this bug. ***
Comment 13 Milan Crha 2012-01-02 05:50:15 EST
*** Bug 770840 has been marked as a duplicate of this bug. ***
Comment 14 Milan Crha 2012-01-09 05:27:30 EST
*** Bug 772494 has been marked as a duplicate of this bug. ***
Comment 15 Milan Crha 2012-01-10 05:56:42 EST
*** Bug 772754 has been marked as a duplicate of this bug. ***
Comment 16 Stephen Gallagher 2012-02-13 07:43:40 EST
Reopening this bug. It has NOT been fixed in 3.2.3. ABRT just reported this bug again for evolution-3.2.3-1.fc16.x86_64
Comment 17 Ted Henscheid 2012-02-13 22:59:46 EST
I was starting the appication

backtrace_rating: 4
Package: evolution-data-server-3.2.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 18 Ted Henscheid 2012-02-13 22:59:50 EST
Created attachment 561733 [details]
File: backtrace
Comment 19 Matthew Saltzman 2012-02-23 11:14:15 EST
Package: evolution-data-server-3.0.3.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Apparently crashed on restarting evolution after resume from suspend.
Comment 20 jj424 2012-06-23 21:37:58 EDT
I was starting evolution.

backtrace_rating: 4
Package: evolution-data-server-3.4.3-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 Paul W. Frields 2012-11-10 11:40:59 EST
Logged into default GNOME session after rebooting. Crash happened in background before I did anything else.

backtrace_rating: 4
Package: evolution-data-server-3.6.1-1.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 22 Tim Waugh 2012-11-29 04:56:51 EST
I think this happened while I was trying (and failing) to set up Google 2-factor auth in GNOME Online Accounts.

backtrace_rating: 4
Package: evolution-data-server-3.6.2-2.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 23 Tony Themelis 2013-02-10 08:32:03 EST
just logged in... did nothing in particular.
running Evolution connected to Microsoft Exchange.


backtrace_rating: 4
Package: evolution-data-server-3.6.3-1.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 24 Peter Robinson 2013-02-10 09:46:47 EST
Looks like it's still valid in F-17/18
Comment 25 Milan Crha 2013-02-11 06:03:59 EST
Could anyone of you upload here the most recent evolution version backtrace, please? With debuginfo being installed. It should be in the ABRT report directory, even if ABRT doesn't upload it here. Thanks in advance.
Comment 26 Egon Kastelijn 2013-02-13 00:47:22 EST
Created attachment 696720 [details]
RH bugzilla 756231 - Backtrace for Fedora 18
Comment 27 Egon Kastelijn 2013-02-13 00:56:32 EST
Hi Milan,

(see attachment for the requested fresh backtrace)
At the moment I am running the following RPMs:

evolution-3.6.3-2.fc18.x86_64
evolution-couchdb-0.5.91-10.fc17.x86_64
evolution-data-server-3.6.3-1.fc18.x86_64
evolution-ews-3.6.3-1.fc18.x86_64
evolution-exchange-3.4.4-2.fc17.x86_64
evolution-help-3.6.3-2.fc18.noarch
syncevolution-1.3.2-1.fc18.x86_64
syncevolution-gtk-1.3.2-1.fc18.x86_64
syncevolution-libs-1.3.2-1.fc18.x86_64

kind regards,

   Egon
Comment 28 Milan Crha 2013-02-15 05:54:13 EST
Thanks for the backtrace. I see it's a crash in libical, kind of a famous one :( There is nothing to be done on the evolution-data-server or evolution side, the fix should come to libical itself.

See kolab bug [1] with links to libical mailing list. Maybe they'll release libical 0.49 some time soon.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=673197
Comment 29 Blake 2013-02-25 08:59:26 EST
Started up computer, did not run any application yet

backtrace_rating: 4
Package: evolution-data-server-3.6.3-2.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 30 Fedora End Of Life 2013-12-21 09:58:26 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 31 Fedora End Of Life 2014-02-05 17:43:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.